Publish now to one or more connected platforms
curl --request POST \
--url https://api.sydium.com/v1/posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targets": [
{
"platform": "<string>",
"postType": "<string>",
"options": {}
}
],
"caption": "<string>",
"clientId": "<string>",
"media": [
"<string>"
],
"scheduleAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.sydium.com/v1/posts"
payload = {
"targets": [
{
"platform": "<string>",
"postType": "<string>",
"options": {}
}
],
"caption": "<string>",
"clientId": "<string>",
"media": ["<string>"],
"scheduleAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: [{platform: '<string>', postType: '<string>', options: {}}],
caption: '<string>',
clientId: '<string>',
media: ['<string>'],
scheduleAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.sydium.com/v1/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"status": "scheduled",
"targets": [
{
"platform": "<string>",
"status": "scheduled",
"postId": "<string>",
"url": "<string>",
"error": {}
}
]
},
"meta": {}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "<string>"
},
"meta": {}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "<string>"
},
"meta": {}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "<string>"
},
"meta": {}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "<string>"
},
"meta": {}
}{
"success": false,
"error": {
"code": "bad_request",
"message": "<string>"
},
"meta": {}
}API Reference
Publish now to one or more connected platforms
POST
/
v1
/
posts
Publish now to one or more connected platforms
Authorizations
Opaque API key (sk_live_... / sk_test_...)
Body
application/json
Was this page helpful?
⌘I

